%define mpiimpl openmpi
%define mpidir %_libexecdir/%mpiimpl

Name: pastix
Version: 2200
Release: alt0.M50.1
Summary: Parallel Sparse matriX package
License: CeCILL
Group: Sciences/Mathematics
Url: http://pastix.gforge.inria.fr/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: http://gforge.inria.fr/frs/download.php/21873/pastix_release_2200.tar.bz2
Source1: config.in

BuildPreReq: libscotch-devel libmetis-devel %mpiimpl-devel-static

%description
PaStiX (Parallel Sparse matriX package) is a scientific library that
provides a high performance parallel solver for very large sparse
linear systems based on direct and block ILU(k) iterative methods. 

%package -n lib%name-devel
Summary: Static development files of PaStiX
Group: Development/C
Requires: %name = %version-%release
Requires: %mpiimpl-devel-static

%description -n lib%name-devel
PaStiX (Parallel Sparse matriX package) is a scientific library that
provides a high performance parallel solver for very large sparse
linear systems based on direct and block ILU(k) iterative methods. 

This package contains static development files of PaStiX.

%package -n lib%name-devel-doc
Summary: Development documentation for PaStiX
Group: Development/C
BuildArch: noarch

%description -n lib%name-devel-doc
PaStiX (Parallel Sparse matriX package) is a scientific library that
provides a high performance parallel solver for very large sparse
linear systems based on direct and block ILU(k) iterative methods. 

This package contains development documentation for PaStiX.

%prep
%setup
install -m644 %SOURCE1 src

%build
export PATH=$PATH:%mpidir/bin
cd src
%make_build expor MPIDIR=%mpidir
%make_build expor MPIDIR=%mpidir

%install
export PATH=$PATH:%mpidir/bin
TOPDIR=$PWD
DESTDIR=%buildroot%_libdir
pushd src
%make_install DESTDIR=$DESTDIR TOPDIR=$TOPDIR MPIDIR=%mpidir install
popd
install -d %buildroot%_bindir
install -d %buildroot%_libdir
install -d %buildroot%_includedir
install -d %buildroot%_libexecdir/%name/bin
install -d %buildroot%_libexecdir/%name/lib
install -d %buildroot%_libexecdir/%name/include
install -d %buildroot%_docdir/%name

install -m755 bin/genheader bin/print_options %buildroot%_libexecdir/%name/bin
ln -s %_libexecdir/%name/bin/genheader %buildroot%_bindir
ln -s %_libexecdir/%name/bin/print_options %buildroot%_bindir
install -m644 bin/*.a %buildroot%_libexecdir/%name/lib
install -m644 bin/*.h %buildroot%_libexecdir/%name/include

mv %buildroot%_libdir/*.sh %buildroot/%_bindir/
pushd %buildroot/%_bindir/
ln -s $(ls *.sh) pastix-conf
popd
rm -f %buildroot%_libdir/pastix-conf*

mv %buildroot%_libdir/*real.h %buildroot%_libdir/*real.inc \
	%buildroot%_libdir/murge.h %buildroot%_libdir/pastix_nompi.h \
	%buildroot%_includedir/
rm -f %buildroot%_libdir/*.h %buildroot%_libdir/*.inc
SUFFIX=_long_double_real
pushd %buildroot%_includedir
for i in csc_utils cscd_utils pastix pastix_fortran; do
	ln -s $i$SUFFIX.h $i.h
done
ln -s murge$SUFFIX.inc murge.inc
popd

pushd %buildroot%_libdir
rm -f libpastix.a libpastix_murge.a
SUFFIX=_mpi_smp_nobubble_long_double_real_metis_
for i in libpastix libpastix_murge; do
	ln -s $i$SUFFIX.a $i.a
done
popd

install -p -m644 doc/* %buildroot%_docdir/%name

%files
%doc src/Licence_CeCILL_V2-en.txt src/README.txt
%dir %_libexecdir/%name
%_libexecdir/%name/bin
%_bindir/genheader
%_bindir/print_options

%files -n lib%name-devel
%_libexecdir/%name/lib
%_libexecdir/%name/include
%_libdir/*.a
%_includedir/*
%_bindir/*
%exclude %_bindir/genheader
%exclude %_bindir/print_options

%files -n lib%name-devel-doc
%_docdir/%name

%changelog
* Sun May 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2200-alt0.M50.1
- Port for Branch 5.0

* Sun May 17 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2200-alt1
- Initial build for Sisyphus
